> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Create a group

POST https://api.getpostman.com/scim/v2/Groups
Content-Type: application/json

Creates a new user group in Postman and creates a new account for each group member.

Each account is added to your Postman team and authentication is activated for each user. If an existing Postman account uses an email that matches a group member's email ID, an [email invite](https://postman.postman.co/docs/administration/managing-your-team/managing-your-team/#invites) to join your Postman team is sent to that user. Once the user accepts the invite, they'll be added to your team.

By default, the system assigns new users the developer role. You can [update user roles in Postman](https://learning.postman.com/docs/administration/managing-your-team/managing-your-team/#managing-team-roles).


Reference: https://learning.postman.com/api-docs/api-reference/scim/create-scim-group

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /scim/v2/Groups:
    post:
      operationId: createScimGroup
      summary: Create a group
      description: >
        Creates a new user group in Postman and creates a new account for each
        group member.


        Each account is added to your Postman team and authentication is
        activated for each user. If an existing Postman account uses an email
        that matches a group member's email ID, an [email
        invite](https://postman.postman.co/docs/administration/managing-your-team/managing-your-team/#invites)
        to join your Postman team is sent to that user. Once the user accepts
        the invite, they'll be added to your team.


        By default, the system assigns new users the developer role. You can
        [update user roles in
        Postman](https://learning.postman.com/docs/administration/managing-your-team/managing-your-team/#managing-team-roles).
      tags:
        - scim
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createScimGroupResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimErrorScimType'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimErrorScimType'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createScimGroup'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    CreateScimGroupMembersItems:
      type: object
      properties:
        value:
          type: string
          description: The user's SCIM ID.
        display:
          type: string
          description: The user's display name.
      description: Information about the group's members.
      title: CreateScimGroupMembersItems
    createScimGroup:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        displayName:
          type: string
          description: The group's display name.
        members:
          type: array
          items:
            $ref: '#/components/schemas/CreateScimGroupMembersItems'
          description: A list of the group's members.
      title: createScimGroup
    CreateScimGroupResponseMembersItems:
      type: object
      properties:
        value:
          type: string
          description: The user's SCIM ID.
        display:
          type: string
          description: The user's display name.
      description: Information about the group's members.
      title: CreateScimGroupResponseMembersItems
    CreateScimGroupResponseMeta:
      type: object
      properties:
        created:
          type: string
          format: date-time
          description: The date and time at which the group was created.
        lastModified:
          type: string
          format: date-time
          description: The date and time at which the group was last modified.
        resourceType:
          type: string
          description: The SCIM resource type.
      description: The response's non-standard meta information.
      title: CreateScimGroupResponseMeta
    createScimGroupResponse:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        id:
          type: string
          description: The group's SCIM ID.
        displayName:
          type: string
          description: The group's display name.
        externalId:
          type: string
          description: The group's external ID.
        members:
          type: array
          items:
            $ref: '#/components/schemas/CreateScimGroupResponseMembersItems'
          description: A list of the group's members.
        meta:
          $ref: '#/components/schemas/CreateScimGroupResponseMeta'
          description: The response's non-standard meta information.
      title: createScimGroupResponse
    scimErrorScimType:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        scimType:
          type: string
          description: The SCIM error type.
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimErrorScimType
    scimError:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### SCIM Group Created



**Request**

```json
undefined
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
  "displayName": "TestAPI",
  "externalId": "1234",
  "members": [
    {
      "value": "23a35c2723d34c03b4c56443c09e7173",
      "display": "Taylor Lee"
    }
  ],
  "meta": {
    "created": "2022-02-22T04:24:13.000Z",
    "lastModified": "2022-02-22T04:24:13.000Z",
    "resourceType": "Group"
  }
}
```

**SDK Code**

```python SCIM Group Created
import requests

url = "https://api.getpostman.com/scim/v2/Groups"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript SCIM Group Created
const url = 'https://api.getpostman.com/scim/v2/Groups';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go SCIM Group Created
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Groups"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby SCIM Group Created
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java SCIM Group Created
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/scim/v2/Groups")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php SCIM Group Created
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/scim/v2/Groups', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp SCIM Group Created
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Groups");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift SCIM Group Created
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create SCIM Group



**Request**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "displayName": "TestAPI",
  "members": [
    {
      "value": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "displayName": "Taylor Lee"
    }
  ]
}
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
  "displayName": "TestAPI",
  "externalId": "1234",
  "members": [
    {
      "value": "23a35c2723d34c03b4c56443c09e7173",
      "display": "Taylor Lee"
    }
  ],
  "meta": {
    "created": "2022-02-22T04:24:13.000Z",
    "lastModified": "2022-02-22T04:24:13.000Z",
    "resourceType": "Group"
  }
}
```

**SDK Code**

```python Create SCIM Group
import requests

url = "https://api.getpostman.com/scim/v2/Groups"

payload = {
    "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
    "displayName": "TestAPI",
    "members": [
        {
            "value": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
            "displayName": "Taylor Lee"
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create SCIM Group
const url = 'https://api.getpostman.com/scim/v2/Groups';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"],"displayName":"TestAPI","members":[{"value":"405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99","displayName":"Taylor Lee"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create SCIM Group
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Groups"

	payload := strings.NewReader("{\n  \"schemas\": [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\"\n  ],\n  \"displayName\": \"TestAPI\",\n  \"members\": [\n    {\n      \"value\": \"405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99\",\n      \"displayName\": \"Taylor Lee\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create SCIM Group
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"schemas\": [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\"\n  ],\n  \"displayName\": \"TestAPI\",\n  \"members\": [\n    {\n      \"value\": \"405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99\",\n      \"displayName\": \"Taylor Lee\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Create SCIM Group
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/scim/v2/Groups")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"schemas\": [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\"\n  ],\n  \"displayName\": \"TestAPI\",\n  \"members\": [\n    {\n      \"value\": \"405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99\",\n      \"displayName\": \"Taylor Lee\"\n    }\n  ]\n}")
  .asString();
```

```php Create SCIM Group
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/scim/v2/Groups', [
  'body' => '{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "displayName": "TestAPI",
  "members": [
    {
      "value": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "displayName": "Taylor Lee"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create SCIM Group
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Groups");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"schemas\": [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\"\n  ],\n  \"displayName\": \"TestAPI\",\n  \"members\": [\n    {\n      \"value\": \"405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99\",\n      \"displayName\": \"Taylor Lee\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create SCIM Group
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
  "displayName": "TestAPI",
  "members": [
    [
      "value": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "displayName": "Taylor Lee"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```